package com.ld57.game;

import com.badlogic.gdx.Files;
import com.badlogic.gdx.backends.lwjgl3.Lwjgl3Application;
import com.badlogic.gdx.backends.lwjgl3.Lwjgl3ApplicationConfiguration;

// Please note that on macOS your application needs to be started with the -XstartOnFirstThread JVM argument
public class DesktopLauncher {
	public static void main(String[] arg) {
		Lwjgl3ApplicationConfiguration config = new Lwjgl3ApplicationConfiguration();
		config.setForegroundFPS(60);
		config.setTitle("Dig Down Dude");
		config.setWindowedMode(1920, 1010);// since fullscreen doesn't work yet. (not sure what happened to it, sigh)(works for me but not others)
		config.setWindowPosition(0, 30);// move the screen down a hair
		// config.setFullscreenMode(Lwjgl3ApplicationConfiguration.getDisplayMode());
		config.useVsync(true);
		config.setHdpiMode(null);
		config.setWindowIcon(Files.FileType.Internal, "ico.png");
		new Lwjgl3Application(new ddd(), config);
	}
}
